Package org.flywaydb.core.api.output

## Class CommandResultFactory

- java.lang.Object
- - org.flywaydb.core.api.output.CommandResultFactory

-     public class CommandResultFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommandResultFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BaselineResult` | `createBaselineResult​(java.lang.String databaseName)` |
    `static CleanResult` | `createCleanResult​(java.lang.String databaseName)` |
    `static InfoOutput` | `createInfoOutput​(java.util.Set<MigrationInfo> undoableMigrations, MigrationInfo migrationInfo)` |
    `static InfoResult` | `createInfoResult​(Configuration configuration, org.flywaydb.core.internal.database.base.Database database, MigrationInfo[] migrationInfos, MigrationInfo current, boolean allSchemasEmpty)` |
    `static MigrateOutput` | `createMigrateOutput​(MigrationInfo migrationInfo, int executionTime)` |
    `static MigrateResult` | `createMigrateResult​(java.lang.String databaseName, Configuration configuration)` |
    `static RepairOutput` | `createRepairOutput​(MigrationInfo migrationInfo)` |
    `static RepairOutput` | `createRepairOutput​(org.flywaydb.core.extensibility.AppliedMigration am)` |
    `static RepairResult` | `createRepairResult​(java.lang.String databaseName)` |
    `static UndoOutput` | `createUndoOutput​(ResolvedMigration migrationInfo, int executionTime)` |
    `static UndoResult` | `createUndoResult​(java.lang.String databaseName, Configuration configuration)` |
    `static ValidateOutput` | `createValidateOutput​(MigrationInfo migrationInfo, ErrorDetails validateError)` |
    `static ValidateResult` | `createValidateResult​(java.lang.String databaseName, ErrorDetails validationError, int validationCount, java.util.List<ValidateOutput> invalidMigrations, java.util.List<java.lang.String> warnings)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandResultFactory

          public CommandResultFactory()

  - ### Method Detail

    - #### createInfoResult

          public static InfoResult createInfoResult​(Configuration configuration,
                                                    org.flywaydb.core.internal.database.base.Database database,
                                                    MigrationInfo[] migrationInfos,
                                                    MigrationInfo current,
                                                    boolean allSchemasEmpty)

    - #### createMigrateResult

          public static MigrateResult createMigrateResult​(java.lang.String databaseName,
                                                          Configuration configuration)

    - #### createCleanResult

          public static CleanResult createCleanResult​(java.lang.String databaseName)

    - #### createUndoResult

          public static UndoResult createUndoResult​(java.lang.String databaseName,
                                                    Configuration configuration)

    - #### createBaselineResult

          public static BaselineResult createBaselineResult​(java.lang.String databaseName)

    - #### createValidateResult

          public static ValidateResult createValidateResult​(java.lang.String databaseName,
                                                            ErrorDetails validationError,
                                                            int validationCount,
                                                            java.util.List<ValidateOutput> invalidMigrations,
                                                            java.util.List<java.lang.String> warnings)

    - #### createRepairResult

          public static RepairResult createRepairResult​(java.lang.String databaseName)

    - #### createInfoOutput

          public static InfoOutput createInfoOutput​(java.util.Set<MigrationInfo> undoableMigrations,
                                                    MigrationInfo migrationInfo)

    - #### createMigrateOutput

          public static MigrateOutput createMigrateOutput​(MigrationInfo migrationInfo,
                                                          int executionTime)

    - #### createUndoOutput

          public static UndoOutput createUndoOutput​(ResolvedMigration migrationInfo,
                                                    int executionTime)

    - #### createValidateOutput

          public static ValidateOutput createValidateOutput​(MigrationInfo migrationInfo,
                                                            ErrorDetails validateError)

    - #### createRepairOutput

          public static RepairOutput createRepairOutput​(MigrationInfo migrationInfo)

    - #### createRepairOutput

          public static RepairOutput createRepairOutput​(org.flywaydb.core.extensibility.AppliedMigration am)